#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <AppKit/NSPasteboard.h>
#import <AppKit/NSSelection.h>
#import "Cryptor.h"

@interface PGPfrontEnd:NSObject
{
    id cryptor;
    id encryptInfoPanel;
    id encryptFileTextField;
    id decryptInfoPanel;
    id decryptFileTextField;
}

- init;
- (void)encrypt:(NSPasteboard *)pboard userData:(NSString *)inData error:(NSString **)error;
- (void)encryptFiles:(NSPasteboard *)pboard userData:(NSString *)inData error:(NSString **)error;

- (void)decrypt:(NSPasteboard *)pboard userData:(NSString *)inData error:(NSString **)error;
/*  - (void)decryptFiles:(NSPasteboard *)pboard userData:(NSString *)inData error:(NSString **)error; */

- (void)encryptAndSign:(NSPasteboard *)pboard userData:(NSString *)inData error:(NSString **)error;
/* - (void)encryptAndSignFiles:(NSPasteboard *)pboard userData:(NSString *)inData error:(NSString **)error; */

- (void)checkSig:(NSPasteboard *)pboard userData:(NSString *)inData error:(NSString **)error;
- (void)clearSign:(NSPasteboard *)pboard userData:(NSString *)inData error:(NSString **)error;
- (void)detachedSig:(NSPasteboard *)pboard userData:(NSString *)inData error:(NSString **)error;

- (void)filterPasteboard:(int)filterMode options:(NSMutableArray *)options pasteBoard:(NSPasteboard *)pboard;
- (void)filterPasteboardFiles:(int)filterMode options:(NSMutableArray *)options pasteBoard:(NSPasteboard *)pboard;

- (void)filterPGPFiles:(NSMutableArray *)fileArray mode:(int)filterMode options:(NSMutableArray *)options;

- showStatus:sender;
- showOutput:sender;


#if 0
/* Cryptor Test methods */
- encryptTest:sender;
- encryptSignTest:sender;
- decryptTest:sender;
- clearSignTest:sender;
- detachedSigTest:sender;
- checkSigTest:sender;
#endif

@end


